Rensei docs

Create an org-scoped API key (full secret returned once). Deprecated - use POST /api/org/{orgId}/keys.

Create an org-scoped API key (full secret returned once). Deprecated - use POST /api/org/{orgId}/keys. - Rensei REST API operation reference.

POST
/api/org/api-keys

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Request Body

application/json
  1. body
name*string

Human-readable key name.

scopes?array<string>
expiresAt?string

ISO-8601 expiry.

Response Body

Key created; fullKey returned once.

application/json
  1. response
id*string
fullKey*string
[key: string]?unknown
Example Request
curl -X POST 'https://app.rensei.ai/api/org/api-keys' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "string",  "fullKey": "string",  "property1": null,  "property2": null}